Imagick::setImageFilename
Imagick::setImageGamma
Imagick
PHP Manual

# Imagick::setImageFormat

(PECL imagick 2.0.0)

Imagick::setImageFormat — Sets the format of a particular image

### Description

bool Imagick::setImageFormat ( string `$format` )

Sets the format of a particular image in a sequence.

### Parameters

`format`

  String presentation of the image format. Format support depends on the ImageMagick installation.

### Return Values

Returns `TRUE` on success.

Imagick::setImageFilename
Imagick::setImageGamma
Imagick
PHP Manual